EatTheBlocks Forum

Compiling flashloan contrct on hardhat

Hi, the truffle compiles my contract perfectly ok. I am trying to compile the contracts on hardhat, configured all required solidity compilers 0.5.0, 0.5.7 and 0.6.0 and others…still, I am not able to compile multi import contract…even when you add all compilers in hardhat config…later yarn deploy gives error “xyz uses 0.5.0 and imports ierc which uses 0.6.0” …any suggestions?

Julien briefly talked about how you would need 2 separate projects to be made to deploy them properly.based on the fact its a projectwide like compiler.Thats for truffle though. Haven’t played with hardhat yet so cannot help ya there. But maybe the same.